libnl3 (3.7.0-0.3build1.1) noble; urgency=medium

  * SRU: LP: #2083480: No-change rebuild to disable frame pointers on
    ppc64el and s390x.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 02 Oct 2024 14:40:51 +0200

libnl3 (3.7.0-0.3build1) noble; urgency=high

  * No change rebuild for 64-bit time_t and frame pointers.

 -- Julian Andres Klode <juliank@ubuntu.com>  Mon, 08 Apr 2024 18:06:02 +0200

libnl3 (3.7.0-0.3) unstable; urgency=medium

  * Non-maintainer upload.
  * Install libraries into /usr (DEP17 M2).

 -- Chris Hofstaedtler <zeha@debian.org>  Wed, 10 Jan 2024 00:50:22 +0100

libnl3 (3.7.0-0.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Dodge debhelper's #1015263 by resetting misc:Depends via
    DEB_DH_GENCONTROL_ARGS_libnl{,-genl}-3-200-udeb to avoid pulling
    sgml-base (Closes: #1016996).

 -- Cyril Brulebois <kibi@debian.org>  Wed, 10 Aug 2022 23:43:51 +0000

libnl3 (3.7.0-0.1) unstable; urgency=low

  * Non-maintainer upload (Closes: #1016485)
  * Again for this NMU, modifications have been limited to:
    - Symbols have been updated
    - Patches have been refreshed

 -- Matthieu Baerts <matthieu.baerts@tessares.net>  Mon, 01 Aug 2022 17:53:32 +0200

libnl3 (3.5.0-0.1) unstable; urgency=low

  * Non-maintainer upload (Closes: #983310):
  * For this NMU, modifications have been limited to:
    - Symbols have been updated
    - Patches have been refreshed

 -- Matthieu Baerts <matthieu.baerts@tessares.net>  Mon, 07 Feb 2022 16:07:26 +0100

libnl3 (3.4.0-1) unstable; urgency=low

  * New upstream release (Closes: #880631)
  * Update standards to 4.1.4:
    - Make libnl-3-200-dbg priority optional
    - Include upstream signing key
    - use https in #Vcs-Browse
  * Update watch file to new github location and add signature check

 -- Heiko Stuebner <mmind@debian.org>  Wed, 16 May 2018 10:32:27 +0200

libnl3 (3.2.27-1) unstable; urgency=low

  * New upstream release
    Including fixes for unusable sockets after a failed portid
    generation (Closes: #808213)

 -- Heiko Stuebner <mmind@debian.org>  Tue, 22 Dec 2015 14:56:32 +0100

libnl3 (3.2.26-1) unstable; urgency=low

  * New upstream release
  * Provide Multiarch:same dev packages
  * Add new libnl-xfrm library handling packet transformations
  * Update standards to 3.9.6

 -- Heiko Stuebner <mmind@debian.org>  Mon, 13 Jul 2015 14:16:22 +0200

libnl3 (3.2.24-2) unstable; urgency=low

  * Backport two upstream fixes to prevent issues with older kernels:
    - dfd0a80ec845 (route: don't enforce minlen in inet6_parse_protinfo()
      (IFLA_PROTINFO) and inet_parse_af() (IFLA_AF_SPEC)
    - 5206c050504f (route/addr: only sent IFA_FLAGS when needed to workaround
      picky older kernels)

 -- Heiko Stuebner <mmind@debian.org>  Fri, 18 Apr 2014 17:19:37 +0200

libnl3 (3.2.24-1) unstable; urgency=low

  * New upstream release
  * Add new libnl-idiag library handling inetdiag requests

 -- Heiko Stuebner <mmind@debian.org>  Sun, 16 Feb 2014 14:23:26 +0100

libnl3 (3.2.21-1) unstable; urgency=low

  * New upstream release (Closes: #707081)
    Including CAN support (Closes: #698954)
  * Add symbols files (Closes: #654758)
  * Provide static libraries (Closes: #693939, #693940)
  * Update standards to 3.9.4
  * Removed doc package. Libnl3 documentation is released
    separately now.

 -- Heiko Stuebner <mmind@debian.org>  Tue, 21 May 2013 11:39:13 +0200

libnl3 (3.2.7-4) unstable; urgency=low

  * Add watch file (Closes: #679473)
  * Use dh-autoreconf to update the build system (Closes: 679474)

 -- Heiko Stuebner <mmind@debian.org>  Sat, 30 Jun 2012 15:54:25 +0200

libnl3 (3.2.7-3) unstable; urgency=low

  * Fix FTBFS due to failing gen-tags.sh (Closes: #674322)
  * Convert to Multi-Arch (Closes: #676611)
  * Update standards to 3.9.3 - no changes
  * Switch to dpkg-source format 3.0 (quilt)

 -- Heiko Stuebner <mmind@debian.org>  Mon, 18 Jun 2012 21:19:30 +0200

libnl3 (3.2.7-2) unstable; urgency=low

  * Force doxygen dot-threads to 1 to circumvent segfaults on armel
  * Add missing build-dependency on ghostscript

 -- Heiko Stuebner <mmind@debian.org>  Mon, 05 Mar 2012 23:29:10 +0100

libnl3 (3.2.7-1) unstable; urgency=low

  * New upstream release
  * Build-depend on source-highlight (Closes: #657254)

 -- Heiko Stuebner <mmind@debian.org>  Mon, 13 Feb 2012 18:59:30 +0100

libnl3 (3.2.3-2) unstable; urgency=low

  * Upload to unstable
  * Split split udeb to be in line with regular packages
  * Move libnl and libnl-genl to /lib for iw and wpa_supplicant.

 -- Heiko Stuebner <mmind@debian.org>  Mon, 19 Dec 2011 20:43:21 +0100

libnl3 (3.2.3-1) experimental; urgency=low

  * Upload to experimental to not break debian-installer
  * Split library and dev packages for the individual libraries
  * Add utils package

  [Mathieu Trudel-Lapierre <mathieu-tl@ubuntu.com>]
  * New upstream release (Closes: #648819)
  * debian/patches/0001-fix-headers.patch,
    debian/patches/0002-link-sub-libs.patch,
    debian/patches/0003-fix-out-of-tree-build.patch: dropped.
  * debian/patches/0004-more-out-of-tree-build-fixes.patch: new patch; adjust
    Makefiles some more to properly deal with the out-of-tree build when
    generating headers and documentation.
  * debian/control:
    - rename packages to follow upstream soname.
    - add python-pygments, xmlstarlet, texlive-latex-base and asciidoc to
      Build-Depends.
  * debian/rules: update due to upstream soname changes.
  * debian/*.install: rename and update due to upstream soname changes.
  * debian/libnl-3-200.install: netlink config files should be installed to
    /etc/libnl, not /etc/libnl3.
  * debian/libnl-3-doc.install,
    debian/libnl-3-doc.doc-base: update to take into account new paths.

 -- Heiko Stuebner <mmind@debian.org>  Tue, 06 Nov 2011 21:23:12 +0200

libnl3 (3.0-2) unstable; urgency=low

  * Acknowledge NMU
  * Install config-files to /etc/libnl3 (Closes: #632790)

 -- Heiko Stuebner <mmind@debian.org>  Mon, 26 Sep 2011 20:27:45 +0200

libnl3 (3.0-1.1) unstable; urgency=low

  * Non-maintainer upload with agreement from Heiko Stuebner
  * Add libnl3-udeb package with seperate build for 
    debian-installer (Closes: #635962).

 -- Gaudenz Steinlin <gaudenz@debian.org>  Fri, 29 Jul 2011 23:25:48 +0200

libnl3 (3.0-1) unstable; urgency=low

  * New upstream release (Closes: #626098)
    see README.Debian for version explanation.
  * Update standards to 3.9.2

 -- Heiko Stuebner <mmind@debian.org>  Sat, 21 May 2011 19:25:13 +0200

libnl2 (2.0-1) unstable; urgency=low

  * New upstream release (Closes: #603765)
  * Fix compilation with binutils-gold or ld --no-add-needed
    (Closes: #615745)
  * Update standards
  * Update build dependencies - tetex-live is not necessary
    anymore (Closes: #616260)

 -- Heiko Stuebner <mmind@debian.org>  Sun, 06 Mar 2011 18:20:47 +0100

libnl2 (1.99+git20091216-2) unstable; urgency=low

  * add README.source describing the patches in use.
  * remove libnl*-provides - libnl2 should stay sepparate
    from libnl1 for now

 -- Heiko Stuebner <heiko@sntech.de>  Wed, 10 Mar 2010 18:03:35 +0100

libnl2 (1.99+git20091216-1) unstable; urgency=low

  * New upstream snapshot
  * New source name to enable installing libnl and libnl2 side by side
  * Set myself as new maintainer for libnl2 according to agreement
    with Michael Biebl
  * Add debug package
  * README.Debian warns of possible breakage in this snapshot
  * Add Patch 0001 which fixes some errors in the build system
  * Add Patch 0002 which adds libnl-?? libs to linker statement
    until I can resolve this with upstream

 -- Heiko Stuebner <heiko@sntech.de>  Mon, 15 Feb 2010 21:50:35 +0100

libnl (1.1-5) unstable; urgency=low

  * Add symbols file for libnl1.

 -- Michael Biebl <biebl@debian.org>  Wed, 25 Feb 2009 00:26:05 +0100

libnl (1.1-4) unstable; urgency=low

  * debian/control 
    - Add ${misc:Depends} to all binary packages.
    - Bump Build-Depends on debhelper to (>= 7).
  * debian/compat
    - Bump debhelper compat level to 7.
  * debian/rules
    - Include debhelper.mk before other files as recommended by the cdbs
      documentation.

 -- Michael Biebl <biebl@debian.org>  Wed, 18 Feb 2009 13:26:53 +0100

libnl (1.1-3) unstable; urgency=low

  * debian/control
    - Bump Standards-Version to 3.8.0.
  * Switch to quilt for patch management.
  * Add README.source which refers to the quilt documentation.
  * debian/patches/limits.patch
    - Add missing include to limits.h. This is required when compiling against
      glibc 2.8. Thanks to Kees Cook for the patch. Closes: #501485

 -- Michael Biebl <biebl@debian.org>  Wed, 08 Oct 2008 21:34:34 +0200

libnl (1.1-2) unstable; urgency=low

  * debian/libnl-doc.doc-base
    - Register the API documentation with doc-base.
  * debian/control
    - Add Suggests: doc-base to libnl-doc.

 -- Michael Biebl <biebl@debian.org>  Wed, 05 Mar 2008 00:42:54 +0100

libnl (1.1-1) unstable; urgency=low

  * New stable upstream release.
  * debian/patches/01-ip_mg_alg_internal_only.patch
    - Removed, merged upstream.
  * debian/control
    - Rename binary package libnl1-pre8 to libnl1.
    - [libnl1] Add Conflicts/Replaces: libnl1-pre8.
    - [libnl-dev] Change Depends to libnl1.
  * Rename debian/libnl1-pre8.install to debian/libnl1.install
  * debian/copyright
    - Minor updates and additions.

 -- Michael Biebl <biebl@debian.org>  Thu, 10 Jan 2008 16:58:12 +0100

libnl (1.0~pre8-1) unstable; urgency=low

  * New upstream release. Closes: #456175
  * debian/control
    - Bump Standards-Version to 3.7.3. No further changes required.
    - The Vcs-* fields are now officially supported, so remove the XS- prefix.
    - Rename binary package libnl1-pre6 to libnl1-pre8.
    - [libnl1-pre8] Add Conflicts/Replaces: libnl1-pre6. The two versions are
       not coinstallable.
    - [libnl-dev] Change Depends to libnl1-pre8.
  * Rename debian/libnl1-pre6.install to debian/libnl1-pre8.install.
  * debian/patches/10-amd64-linux-types.patch
    - Removed, merged upstream.
  * debian/patches/01-ip_mg_alg_internal_only.patch
    - Pull a fix from upstream. The header linux/ip_mp_alg.h is no longer part
      of the linux kernel headers (i.e. linux-libc-dev) so remove it from
      netlink/netlink.h.

 -- Michael Biebl <biebl@debian.org>  Thu, 20 Dec 2007 07:45:03 +0100

libnl (1.0~pre6-6) unstable; urgency=low

  * debian/control
    - Use the new "Homepage:" field to specify the upstream URL.
    - Replace deprecated ${Source-Version} substvar with ${binary:Version}.
    - Change Build-Depends: gs-gpl | gs-esp to Build-Depends: ghostscript.

 -- Michael Biebl <biebl@debian.org>  Mon, 22 Oct 2007 07:15:29 +0200

libnl (1.0~pre6-5) unstable; urgency=low

  * debian/control
    - Add XS-Vcs-* fields.
    - Replace Build-Depends: tetex-bin with texlive-latex-base. teTeX is now
      gone, superseded by texlive.
    - Add Build-Depends: graphviz, gs-gpl | gs-esp. 
      The "dot" program is needed for generating the diagram image and "gs"
      for the ps to png conversion.

 -- Michael Biebl <biebl@debian.org>  Sun, 15 Apr 2007 15:45:48 +0200

libnl (1.0~pre6-4) unstable; urgency=medium

  * Autobuilders do not distinguish between build-arch and build-indep, they
    simply run build. So we have to move doxygen and tetex-bin from 
    Build-Depends-Indep to Build-Depends. Closes: #408719
  * Urgency medium, as it fixes a FTBFS bug.

 -- Michael Biebl <biebl@debian.org>  Fri, 12 Jan 2007 11:23:52 +0100

libnl (1.0~pre6-3) unstable; urgency=low

  * Build and package the API documentation. Closes: #406497
  * debian/control
    - Add Build-Depends-Indep on doxygen and tetex-bin (dvips).
    - Add new package libnl-doc.
    - Add a "Suggests: libnl-doc" to libnl-dev.
  * debian/rules
    - Call "make gendoc" to build the API documentation.
  * debian/libnl-doc.install
    - Added. List the files that should be installed.

 -- Michael Biebl <biebl@debian.org>  Fri, 12 Jan 2007 10:30:40 +0100

libnl (1.0~pre6-2) unstable; urgency=low

  * Update maintainer email address to biebl@debian.org. 

 -- Michael Biebl <biebl@debian.org>  Thu, 19 Oct 2006 20:16:09 +0200

libnl (1.0~pre6-1) unstable; urgency=low

  * New upstream release.
  * Removed 20-autoconf-dirs.patch, merged upstream.
  * Updated debian/copyright, libnl is now licensed under the LGPL 2.1. 
  * Updated debian/watch.

 -- Michael Biebl <biebl@teco.edu>  Fri, 18 Aug 2006 00:40:34 +0200

libnl (1.0~pre6~svn30-1) unstable; urgency=low

  * Updated to svn revision 30.
  * Bumped Standards-Version to 3.7.2, no further changes required.
  * Now that dak officially supports ~ in the version number, let's make use
    of it.
  * Some install directories were not set correctly, 20-autoconf-dirs.patch
    fixes that.

 -- Michael Biebl <biebl@teco.edu>  Thu, 10 Aug 2006 19:51:42 +0200

libnl (0.99+1.0.svn21-4) unstable; urgency=low

  * Do not create bogus /usr/lib/pkg-config directory. Closes: #364601 

 -- Michael Biebl <biebl@teco.edu>  Mon, 24 Apr 2006 15:40:23 +0200

libnl (0.99+1.0.svn21-3) unstable; urgency=low

  * Include simple-patchsys.mk in debian/rules.
  * Merged debian/patches/10-amd64-linux-types.patch from Ubuntu which fixes
    the FTBFS error on AMD64. Closes: #358887
    Thanks to Scott James Remnant for this patch.

 -- Michael Biebl <biebl@teco.edu>  Sat,  1 Apr 2006 04:52:13 +0200

libnl (0.99+1.0.svn21-2) unstable; urgency=low

  * Initial upload to unstable.
  * Renamed libnl1 to libnl1-pre6 to match the currently used so-name.
    Otherwise dependent packages like NM will break on upgrades of libnl.

 -- Michael Biebl <biebl@teco.edu>  Tue,  7 Mar 2006 21:22:09 +0100

libnl (0.99+1.0.svn21-1) experimental; urgency=low

  * Initial release. Closes: #286847

 -- Michael Biebl <biebl@teco.edu>  Tue, 21 Feb 2006 18:36:35 +0100
